---

#! /db/releases/20241220201932/lkp-src/jobs/fio-basic-1ssd-nvme-read.yaml
suite: fio-basic
testcase: fio-basic
category: benchmark
runtime: 300s
nr_task: 8t
disk: 1SSD
fs: xfs
fio-setup-basic:
  rw: read
  bs: 2M
  ioengine: io_uring
  test_size: 256g
fio:
job_origin: fio-basic-1ssd-nvme-read.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-csl-2sp3
tbox_group: lkp-csl-2sp3
job_file: "/lkp/jobs/scheduled/lkp-csl-2sp3/fio-basic-2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g-debian-12-x86_64-20240206.cgz-8cf0c459993e-20241226-205019-11uw9xo-1.yaml"
id: f20ead5fada4752dc2c4916e897d53d80afe851d
queuer_version: "/zday/lkp"

#! /db/releases/20241220201932/lkp-src/hosts/lkp-csl-2sp3
model: Cascade Lake
nr_node: 2
nr_cpu: 96
memory: 128G
nr_hdd_partitions: 1
nr_ssd_partitions: 2
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD2500BEKT-00PVMT0_WD-WX11A23L4840-part1"
ssd_partitions: "/dev/nvme1n1p1 /dev/nvme0n1p1"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2CW240A3_CVCV204303WP240CGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x68b85014
brand: Intel(R) Xeon(R) Platinum 8260L CPU @ 2.40GHz
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- IGB: "y"
- SATA_AHCI
- BLK_DEV_NVME
ucode: '0x4003604'

#! /db/releases/20241220201932/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- XFS_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20241220201932/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20241220201932/lkp-src/include/disk/nr_ssd

#! /db/releases/20241220201932/lkp-src/include/queue/cyclic
commit: 8cf0c459993ee2911f4f01fba21b1987b102c887

#! /db/releases/20241220201932/lkp-src/include/fs/OTHERS
kconfig: x86_64-rhel-9.4
enqueue_time: 2024-12-26 14:16:20.938593742 +08:00
_rt: "/result/fio-basic/2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887"
compiler: gcc-12
head_commit: 79707ced9661618b466d00e8f056a7c95e6e9b3d
base_commit: 78d4f34e2115b517bcbfe7ec0d018bbbb6f9b0b8
branch: linux-devel/devel-hourly-20241222-015833
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241212-153134"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/fio-basic/2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887/vmlinuz-6.13.0-rc3-00040-g8cf0c459993e
- branch=linux-devel/devel-hourly-20241222-015833
- job=/lkp/jobs/scheduled/lkp-csl-2sp3/fio-basic-2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g-debian-12-x86_64-20240206.cgz-8cf0c459993e-20241226-205019-11uw9xo-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=8cf0c459993ee2911f4f01fba21b1987b102c887
- intremap=posted_msi
- acpi_rsdp=0x68b85014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fio_20241112.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/fio-x86_64-3.38-1_20241112.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241223111431/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-2sp3/fio-basic-2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g-debian-12-x86_64-20240206.cgz-8cf0c459993e-20241226-205019-11uw9xo-1.cgz"
last_kernel: 5.4.0-0.bpo.2-amd64
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887/vmlinuz-6.13.0-rc3-00040-g8cf0c459993e"
result_root: "/result/fio-basic/2M-performance-1SSD-xfs-io_uring-8t-300s-read-256g/lkp-csl-2sp3/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/8cf0c459993ee2911f4f01fba21b1987b102c887/0"

#! /db/releases/20241226085450/lkp-src/include/site/inn
dequeue_time: 2024-12-26 15:06:40.105409457 +08:00
job_state: failed
loadavg: 1.57 1.35 0.67 3/930 5686
start_time: '1735197261'
end_time: '1735197262'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
